Bug 249154 - Kernel regression that may be related to highpoint controllers
Kernel regression that may be related to highpoint controllers
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: 249166 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-07-21 11:31 EDT by Bruno Wolff III
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-10 11:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2007-07-21 11:31:23 EDT
Description of problem:
The latest kernel (kernel- will no longer complete booting. I
get a message that no devices were found for a couple of raid devices (root and
swap) and this causes the root pivot fail and the kernel panics shortly afterward.
This is similar to problems I was experiencing during f7 rawhide testing as
documented in bug 227281. The previous kernel (kernel-2.6.21-1.3228.fc7) works
just fine on this system.
I have kernel- installed on another machine with software raid
devices and I didn't have a problem there when rebooting after the kernel upgrade.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. reboot and select the kernel to boot.
Actual results:
Boot fails after some raid device members aren't found and the root pivot fails.

Expected results:
Successful boot.

Additional info:
If you want lspci info and the like, you can get it from 227281.
Comment 1 Chuck Ebbert 2007-07-23 13:09:43 EDT
*** Bug 249166 has been marked as a duplicate of this bug. ***
Comment 2 Chuck Ebbert 2007-07-23 13:19:03 EDT
From Daniel Duggan's report (Bug 249166):

hpt37x: DPLL did not stabilize.

pata_hpt37x: BIOS has not set timing clocks.
hpt37x: HPT372: Bus clock 33MHz.

Bruno, does this match what happens on your systems?
Comment 4 Bruno Wolff III 2007-07-24 11:03:18 EDT
No it doesn't. Under 2.6.22 I seem the same message. (It isn't in my logs, but
the messages paused long enough that I am pretty sure it was the same message.
Under 2.6.21 I get:
Jul 24 09:55:30 bruno kernel: pata_hpt37x: BIOS has not set timing clocks.
Jul 24 09:55:30 bruno kernel: hpt37x: HPT302: Bus clock 33MHz.
Comment 5 Chuck Ebbert 2007-07-25 17:16:38 EDT
Patch in CVS.
Comment 6 Bruno Wolff III 2007-07-27 10:44:57 EDT
Unless a test kernel rpm shows up this afternoon, I won't get to test the fix
until I get back from vacation. (Even it is does, I still might not have time
before I leave.) So if you ask me to do a test, don't be surprised if I don't
provide any feedback until about the 9th or 10th of August.
Comment 7 Bruno Wolff III 2007-08-10 11:12:58 EDT
The boots for me, so the fix appears to solve my problem.

Note You need to log in before you can comment on or make changes to this bug.